[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: QLogic drivers

I had a problem with the firmware when installing Debian Etch using the net
installation disk as it wasn't included due to license restrictions. This is
how I solved it if you might be interested:

http://john.parnefjord.se/node/8 http://john.parnefjord.se/node/8 

// John

Frederik Schueler-2 wrote:
> Hello,
> On Thu, Mar 01, 2007 at 05:26:38PM -0800, David Wagner wrote:
>> I'm trying to get in sync with which QLogic driver (Fibre Channel or 
>> iSCSI) versions (if any) are presently included in Debian releases.
> qla2xxx driven FC HBAs work fine, but you will need the firmware-qlogic
> package from non-free to get them working correctly. 
> The qla4xxx driver for qlogic iSCSI devices is not included in 2.6.18, 
> and therefore the corresponding devices are not supported by etch (now). 
> AFAIK this driver was merged in 2.6.19.
>> For future releases, are the drivers obtained from whatever is in the 
>> kernel tree?
> Plans exist to update the kernel in a future point release, in order to
> support newer hardware. 
> But the qla4xxx drivers require a firmware blob, which will not be added 
> to etch - if it will be packaged at all due to the restrictive licensing.
> Best regards
> Frederik Schueler
> -- 

View this message in context: http://www.nabble.com/QLogic-drivers-tf3331134.html#a9504095
Sent from the debian-kernel mailing list archive at Nabble.com.

Reply to: